### Property

# SpiceClientGLib Session:smartcard-certificates

since: 0.7

#### Declaration

    property smartcard-certificates: string[] [ read, write ]

#### Description [src]

This property is used when one wants to simulate a smartcard with no hardware smartcard reader. If it’s set to a NULL-terminated string array containing the names of 3 valid certificates, these will be used to simulate a smartcard in the guest See also spice_smartcard_manager_insert_card().

Type:An array of `char*`

Available since: 0.7

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no